Bug 1315063 - Apple SD Card reader doesn't work. (xhci_hcd errors)
Apple SD Card reader doesn't work. (xhci_hcd errors)
Status: NEW
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
25
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
: 1290959 1417533 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-06 07:09 EST by Daniël van Eeden
Modified: 2017-11-16 16:40 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniël van Eeden 2016-03-06 07:09:10 EST
Description of problem:
The Apple SD Card Reader doesn't work.


Version-Release number of selected component (if applicable):
4.4.3-300.fc23.x86_64

From dmidecode:
Handle 0x0017, DMI type 8, 9 bytes
Port Connector Information
        Internal Reference Designator: None
        Internal Connector Type: None
        External Reference Designator: SD Card Reader
        External Connector Type: Access Bus (USB)
        Port Type: USB

Device is not shown in lsusb output and no new messages appear when an SD card is inserted.

USB Device ID: 05ac:8406

How reproducible:
Boot Fedora 23 on a MacBook Pro 11,1 w/ USB Device ID: 05ac:8406.

Steps to Reproduce:
1. Insert SD card
2. Try to use nautilus, dmesg etc.
3.

Actual results:
Nothing

Expected results:
Access to SD card.


# dmesg | grep xhci_hcd
[    0.439253] xhci_hcd 0000:00:14.0: xHCI Host Controller
[    0.439293] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 1
[    0.440362] xhci_hcd 0000:00:14.0: hcc params 0x200077c1 hci version 0x100 quirks 0x0004b810
[    0.440366] xhci_hcd 0000:00:14.0: cache line size of 256 is not supported
[    0.440826] xhci_hcd 0000:00:14.0: xHCI Host Controller
[    0.440863] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 2
[    0.794100] usb 1-3: new full-speed USB device number 2 using xhci_hcd
[    5.650926] xhci_hcd 0000:00:14.0: Command completion event does not match command
[    5.650926] xhci_hcd 0000:00:14.0: Timeout while waiting for setup device command
[   10.659238] xhci_hcd 0000:00:14.0: Timeout while waiting for setup device command
[   23.283595] xhci_hcd 0000:00:14.0: Command completion event does not match command
[   23.284617] xhci_hcd 0000:00:14.0: Timeout while waiting for setup device command
[   23.437031] usb 1-3: new full-speed USB device number 3 using xhci_hcd
[   23.755051] usb 1-5: new full-speed USB device number 4 using xhci_hcd
[   23.981068] usb 1-3.1: new full-speed USB device number 5 using xhci_hcd
[   24.169079] usb 1-3.2: new full-speed USB device number 6 using xhci_hcd
[   24.306086] usb 1-3.3: new full-speed USB device number 7 using xhci_hcd

Looks like it also affects Ubuntu:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1531653
Comment 1 Michael Fairhurst 2016-03-20 22:49:36 EDT
I am having the same issue, though I'm still on Fedora 22, kernel 4.0.4-301.fc22.x86_64.

I don't have the Timeouts in dmesg either...

λ ~ ❯ dmesg | grep xhci
[    0.549036] xhci_hcd 0000:00:14.0: xHCI Host Controller
[    0.549094] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 1
[    0.549187] xhci_hcd 0000:00:14.0: hcc params 0x200077c1 hci version 0x100 quirks 0x00009810
[    0.549194] xhci_hcd 0000:00:14.0: cache line size of 256 is not supported
[    0.549283] usb usb1: Manufacturer: Linux 4.0.4-301.fc22.x86_64 xhci-hcd
[    0.549829] xhci_hcd 0000:00:14.0: xHCI Host Controller
[    0.549885] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 2
[    0.549925] usb usb2: Manufacturer: Linux 4.0.4-301.fc22.x86_64 xhci-hcd
[    0.749348] xhci_hcd 0000:00:14.0: Error while assigning device slot ID
[    0.749377] xhci_hcd 0000:00:14.0: Max number of devices this xHCI host supports is 32.
[    0.902117] usb 1-8: new full-speed USB device number 2 using xhci_hcd
[    1.220746] usb 1-12: new full-speed USB device number 3 using xhci_hcd
[    1.448731] usb 1-8.1: new full-speed USB device number 4 using xhci_hcd
[    1.636340] usb 1-8.2: new full-speed USB device number 5 using xhci_hcd
[    1.784153] usb 1-8.3: new full-speed USB device number 6 using xhci_hcd


But the device is not listed via lsusb or lspci. I also get no output from dmesg when I plug in the device.
Comment 2 Gianluca Sforna 2016-08-23 04:44:28 EDT
*** Bug 1290959 has been marked as a duplicate of this bug. ***
Comment 3 Gianluca Sforna 2016-08-23 05:19:32 EDT
I just rebooted with the latest F23 kernel (4.6.6-200.fc23.x86_64) and looks like the reader issue is gone.

Anyone else can confirm the same finding?
Comment 4 Gianluca Sforna 2016-08-24 11:45:10 EDT
Talked too early. 

Apparently, it works on first boot, stops working after a resume from suspend.

Sounds like something to bring up upstream, but I'm not sure how.
Comment 5 Laura Abbott 2016-09-23 15:40:55 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 6 Gianluca Sforna 2016-09-24 06:14:41 EDT
I am still on F23 and updated kernel to 4.7.3-100.fc23.x86_64. Bug is is still there: SD card is mounted after first boot, but disappear after a suspend/resume cycle.
Comment 7 Gianluca Sforna 2016-09-24 06:46:41 EDT
Also, just tested 4.7.4-100 with same result
Comment 8 Fedora End Of Life 2016-11-24 10:56:50 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Jordan 2017-03-07 20:09:47 EST
I also have this issue with my Mac Book Pro Retina 13" Early 2015 running Fedora 25. The reader works upon initial boot up but after suspending the machine the SD card is no longer detected. Would love to see this issue fixed.
Comment 10 Jordan 2017-03-07 20:10:37 EST
*** Bug 1417533 has been marked as a duplicate of this bug. ***
Comment 11 mobile.harvey 2017-04-07 07:59:32 EDT
I would also love to see this working. I can confirm this problem exists in Fedora 26 Alpha on my 2011 Macbook Pro:

lspci -nn -d 14e4:
02:00.0 Ethernet controller [0200]: Broadcom Limited NetXtreme BCM57765 Gigabit Ethernet PCIe [14e4:16b4] (rev 10)
02:00.1 SD Host controller [0805]: Broadcom Limited BCM57765/57785 SDXC/MMC Card Reader [14e4:16bc] (rev 10)
03:00.0 Network controller [0280]: Broadcom Limited BCM4331 802.11a/b/g/n [14e4:4331] (rev 02)
Comment 12 Justin M. Forbes 2017-04-11 10:47:53 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.
Comment 13 mobile.harvey 2017-04-12 04:10:14 EDT
Hi. I'm unable to bump up the version on this bug, but I can confirm that my SD card reader is still not working in Fedora 26 on kernel 4.11.0-0.rc5.git0.1.fc26.x86_64. I'm not able to verify with Fedora 25 at this time.
Comment 14 mobile.harvey 2017-04-23 05:37:35 EDT
(In reply to mobile.harvey from comment #13)
> Hi. I'm unable to bump up the version on this bug, but I can confirm that my
> SD card reader is still not working in Fedora 26 on kernel
> 4.11.0-0.rc5.git0.1.fc26.x86_64. I'm not able to verify with Fedora 25 at
> this time.

Hi - actually, I've just retested with 4.11.0-0.rc7.git0.1.fc26.x86_64 on F26 and the SD card reader is working fine! This is on my 2011 13" Macbook Pro:

lspci -nn -d 14e4:
02:00.0 Ethernet controller [0200]: Broadcom Limited NetXtreme BCM57765 Gigabit Ethernet PCIe [14e4:16b4] (rev 10)
02:00.1 SD Host controller [0805]: Broadcom Limited BCM57765/57785 SDXC/MMC Card Reader [14e4:16bc] (rev 10)
03:00.0 Network controller [0280]: Broadcom Limited BCM4331 802.11a/b/g/n [14e4:4331] (rev 02)

So looks like we have a fix. Many thanks.
Comment 15 Rod Cerkoney 2017-07-29 15:18:11 EDT
Still having this issue here on an late model iMac:

[rc@localhost ~]$ lspci | grep SD
04:00.1 SD Host controller: Broadcom Limited BCM57765/57785 SDXC/MMC Card Reader (rev 01)

following dmesg output while removingreinserting the card:

[ 1138.710502] mmc0: Card removed during transfer!
[ 1138.710511] mmc0: Resetting controller.
[ 1152.620439] mmc0: Timeout waiting for hardware cmd interrupt.
[ 1152.620452] sdhci: =========== REGISTER DUMP (mmc0)===========
[ 1152.620491] sdhci: Sys addr: 0x00000000 | Version:  0x00001502
[ 1152.620499] sdhci: Blk size: 0x00000000 | Blk cnt:  0x00000000
[ 1152.620507] sdhci: Argument: 0x80000c08 | Trn mode: 0x00000000
[ 1152.620514] sdhci: Present:  0x1eff0001 | Host ctl: 0x00000001
[ 1152.620520] sdhci: Power:    0x0000000f | Blk gap:  0x00000000
[ 1152.620527] sdhci: Wake-up:  0x00000000 | Clock:    0x0000fa07
[ 1152.620534] sdhci: Timeout:  0x00000000 | Int stat: 0x00000000
[ 1152.620541] sdhci: Int enab: 0x00ff0083 | Sig enab: 0x00ff0083
[ 1152.620548] sdhci: AC12 err: 0x00000000 | Slot int: 0x00000000
[ 1152.620555] sdhci: Caps:     0x176ec8b0 | Caps_1:   0x03002177
[ 1152.620562] sdhci: Cmd:      0x0000341a | Max curr: 0x00000000
[ 1152.620567] sdhci: Host ctl2: 0x00000000
[ 1152.620576] sdhci: ADMA Err: 0x00000001 | ADMA Ptr: 0x0000000000000000
[ 1152.620578] sdhci: ===========================================


kernel info from dmesg:

[rc@localhost ~]$ dmesg | grep Linux
[    0.000000] Linux version 4.11.11-300.fc26.x86_64 (mockbuild@bkernel01.phx2.fedoraproject.org) (gcc version 7.1.1 20170622 (Red Hat 7.1.1-3) (GCC) ) #1 SMP Mon Jul 17 16:32:11 UTC 2017


Hope that enough info to tack this issue down, if more is needed please let me know.
Comment 16 Rod Cerkoney 2017-08-01 09:18:03 EDT
Found this https://bugs.launchpad.net/linuxmint/+bug/1523277 same bug exactly that I am having. This work around was posted in the report and works for me:

"I had to open the SD card manually with this commands in terminal:

rmmod tg3

modprobe -v tg3"

Maybe that can help track things down.
Comment 17 Fedora End Of Life 2017-11-16 13:30:07 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.